# $Revision: 1.16.2.1 $, $Date: 2004/08/20 10:31:29 $
# TODO:
# - move it to /usr/share
Summary:	The Ultimate Team Organisation Software
Summary(pl):	TUTOS - oprogramowanie do organizacji pracy grupowej
Name:		tutos
Version:	1.1.20040414
Release:	1
License:	GPL v2+
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/%{name}/%{name}-php-%{version}.tar.bz2
# Source0-md5:	b848ecdbcd7de75e8600bf365e20ff6d
Patch0:		%{name}-config.patch
URL:		http://www.tutos.org/
PreReq:		apache
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	php-pcre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_tutosdir	/home/httpd/html/tutos

%description
TUTOS is a webbased groupware or ERP/CRM suite that provides the users
with:
- personal and group calendars
- addressbook
- projectmanagement
- filemanagement
- taskmanagement
- bugtracking
- notes
- installation management
- mail interface

%description -l pl
TUTOS (The Ultimate Team Organisation Software) jest opartym na WWW
oprogramowaniem do pracy grupowej (ERP/CRM), udostpniajcym
uytkownikom:
- osobiste i grupowe kalendarze
- ksik adresow
- zarzdzanie projektami
- zarzdzanie plikami
- zarzdzanie zadaniami
- ledzenie bdw
- notatki
- zarzdzanie instalacj
- interfejs do poczty elektronicznej.

TUTOS zosta przetumaczony rwnie na jzyk polski.

%prep
%setup -q -n %{name}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_tutosdir}/{php/{auth,db,file,group,invoice,layout,ldap,localization,mailbox,note,resource,url,watchlist},html/{help,blue,red},homepage,documentation/{user_manual,admin_manual,book0},repository},/etc/httpd}

install php/{*.{php,pinc,p3},.htaccess}	$RPM_BUILD_ROOT%{_tutosdir}/php
install php/auth/*.pinc			$RPM_BUILD_ROOT%{_tutosdir}/php/auth
install php/db/*.pinc			$RPM_BUILD_ROOT%{_tutosdir}/php/db
install php/file/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/file
install php/group/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/group
install php/invoice/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/invoice
install php/layout/*.pinc		$RPM_BUILD_ROOT%{_tutosdir}/php/layout
install php/ldap/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/ldap
install php/localization/*.{pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/localization
install php/mailbox/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/mailbox
install php/note/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/note
install php/resource/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/resource
install php/url/*.{php,pinc,p3}		$RPM_BUILD_ROOT%{_tutosdir}/php/url
install php/watchlist/*.{php,pinc,p3}	$RPM_BUILD_ROOT%{_tutosdir}/php/watchlist
install php/config_default.pinc		$RPM_BUILD_ROOT%{_tutosdir}/php/config.pinc

install html/{*.{html,proto.*,png,gif,css},.htaccess} $RPM_BUILD_ROOT%{_tutosdir}/html
install html/help/{*.html,.htaccess}	$RPM_BUILD_ROOT%{_tutosdir}/html/help
install html/blue/*.{gif,png}		$RPM_BUILD_ROOT%{_tutosdir}/html/blue
install html/red/*.gif			$RPM_BUILD_ROOT%{_tutosdir}/html/red

install homepage/{*.html,.htaccess}	$RPM_BUILD_ROOT%{_tutosdir}/homepage

install documentation/user_manual/*.png	$RPM_BUILD_ROOT%{_tutosdir}/documentation/user_manual
install documentation/admin_manual/*.png $RPM_BUILD_ROOT%{_tutosdir}/documentation/admin_manual
install documentation/book0/*.html	$RPM_BUILD_ROOT%{_tutosdir}/documentation/book0

install *.sh $RPM_BUILD_ROOT%{_tutosdir}

install apache.conf $RPM_BUILD_ROOT/etc/httpd/tutos.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/httpd/httpd.conf ] && \
    ! grep -q "^Include.*/tutos.conf" /etc/httpd/httpd.conf; then
	echo "Include /etc/httpd/tutos.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
	echo "Do not forget tu setup tutos' database!"
else
	echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
	echo "Do not forget tu setup tutos' database!"
fi

%preun
if [ "$1" = "0" ]; then
	umask 027
	grep -E -v "^Include.*tutos.conf" /etc/httpd/httpd.conf > \
		/etc/httpd/httpd.conf.tmp
	mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README README.ldap ToDo ChangeLog
%config(noreplace) %verify(not size mtime md5) /etc/httpd/tutos.conf
%dir %{_tutosdir}
%attr(755,root,root) %{_tutosdir}/*.sh
%attr(775,root,http) %{_tutosdir}/repository
%{_tutosdir}/html
%{_tutosdir}/homepage
%{_tutosdir}/documentation
%dir %{_tutosdir}/php
%{_tutosdir}/php/.htaccess
%{_tutosdir}/php/[^c]*
%{_tutosdir}/php/c[^o]*
%{_tutosdir}/php/co[^n]*
%{_tutosdir}/php/config_default.pinc
%attr(640,root,http) %config(noreplace) %verify(not size mtime md5) %{_tutosdir}/php/config.pinc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tutos.spec,v $
Revision 1.16.2.1  2004/08/20 10:31:29  blues
- changes for RA

Revision 1.16  2004/08/20 10:30:08  blues
- release 1

Revision 1.15  2004/08/20 10:29:10  blues
- security update to 1.1.20040414

Revision 1.14  2004/08/16 14:25:48  blues
- SECURITY note

Revision 1.13  2003/07/25 09:35:36  orzech
- up to 1.1.20030715

Revision 1.12  2003/05/28 13:02:22  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:27:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/10 09:55:47  orzech
- sync with RA-branch

Revision 1.9  2003/02/11 09:11:53  orzech
- up to 1.1beta

Revision 1.8  2003/02/10 20:43:25  qboosh
- fixed bug in preun, added umask
- there is no /home/services/httpd/html/services dir - removed 2nd services

Revision 1.7  2002/11/13 08:14:36  orzech
- up to 20021112 - major bug found and fixed

Revision 1.6  2002/11/12 23:16:10  tjbynum
- modern localization in FS, small corrections.

Revision 1.5  2002/11/12 09:54:28  orzech
- up to 1.0.20021111

Revision 1.4  2002/10/25 10:39:53  qboosh
- pl description, fix in preun, added Requires(post,preun)

Revision 1.3  2002/10/24 11:34:39  orzech
- %post & %preun scripts

Revision 1.2  2002/10/24 11:10:52  orzech
- cleanup

Revision 1.1  2002/10/24 10:58:53  orzech
- new
